Magick::ErrorConfigure Class Reference

`#include <Exception.h>`

Inheritance diagram for Magick::ErrorConfigure:
[legend]
Collaboration diagram for Magick::ErrorConfigure:
[legend]

## Public Member Functions

| ErrorConfigure (const std::string &what_)
| ErrorConfigure (const std::string &what_, Exception *nested_)
| ~ErrorConfigure () throw ()
Public Member Functions inherited from Magick::Error
| Error (const std::string &what_)
| Error (const std::string &what_, Exception *nested_)
| ~Error () throw ()
Public Member Functions inherited from Magick::Exception
| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
virtual | ~Exception () throw ()
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Detailed Description

Definition at line 98 of file Exception.h.

## Constructor & Destructor Documentation

## ErrorConfigure() [1/2]

Magick::ErrorConfigure::ErrorConfigure | ( | const std::string & | what_ | ) |

explicit

Definition at line 129 of file Exception.cpp.

## ErrorConfigure() [2/2]

Magick::ErrorConfigure::ErrorConfigure | ( | const std::string & | what_,
|  | Exception * | nested_
| ) |  |

explicit

Definition at line 134 of file Exception.cpp.

## ~ErrorConfigure()

Magick::ErrorConfigure::~ErrorConfigure | ( |  | ) |
throw | ( |
| ) |  |

Definition at line 140 of file Exception.cpp.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp